Subject: bug#35382: closed (Re: bug#35382: I found a bug in guix pull \o/ (maybe))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Apr 2019 13:35:04 +0000

Your bug report

#35382: I found a bug in guix pull \o/ (maybe)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35382: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35382
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35382: I found a bug in guix pull \o/ (maybe)
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Tue, 23 Apr 2019 15:34:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tobias Geerinckx-Rice wrote:
> ./guix/store.scm:1203:15: Throw to key `srfi-34' with args
> `(#<condition &store-protocol-error [message: "build .
> guix pull: error: You found a bug: the program
> '/gnu/store/j3sfsynqhkdcp4gjr558xdfqszjb6n45-compute-guix-derivat'
> failed to compute the derivation for Guix (version:
> "56a4858210ebaf45c32dc99bdfbd12b9bc5a234e"; system: "aarch64;
> host version: "0.16.0"; pull-version: 1).

I can avoid this by pulling from 
--commit=15dca289b8bd1418c5f5f3b545cb497497cad02e.  Then I can 
pull to HEAD just fine.

Closing since that's a good enough work-around for me :-)

Kind regards,

T G-R

Subject: I found a bug in guix pull \o/ (maybe)
From: Tobias Geerinckx-Rice <[email-masked]>
To: Bug guix <[email-masked]>
Date: Mon, 22 Apr 2019 18:10:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Guix,

I ran into the following running ‘guix pull’ from the 0.16.0 
aarch64 binary tarball on the original Overdrive OpenSUSE.

Apologies for the truncation, but this happened over the serial 
console.  I'm running ‘guix pull’ with output redirection now, and 
it's been running for a suspiciously long time without errors…

Kind regards,

T G-R

=== 8< ---

In ./guix/monads.scm:
    482:9  8 (_ _)
In ./guix/gexp.scm:
   573:13  7 (_ _)
In ./guix/store.scm:
   1667:8  6 (_ _)
  1690:38  5 (_ #<store-connection 256.99 3680d420>)
In ./guix/packages.scm:
   936:16  4 (cache! #<weak-table 421/883> #<package 
   [email-masked]?> ?)
In ./guix/grafts.scm:
    314:4  3 (graft-derivation #<store-connection 256.99 3680d420> 
    # ?)
    192:4  2 (references-oracle #<store-connection 256.99 
    3680d420> #)
   201:20  1 (_ _ _)
In ./guix/store.scm:
  1203:15  0 (_ #<store-connection 256.99 3680d420> _ _)

./guix/store.scm:1203:15: Throw to key `srfi-34' with args 
`(#<condition &store-protocol-error [message: "build .
guix pull: error: You found a bug: the program 
'/gnu/store/j3sfsynqhkdcp4gjr558xdfqszjb6n45-compute-guix-derivat'
failed to compute the derivation for Guix (version: 
"56a4858210ebaf45c32dc99bdfbd12b9bc5a234e"; system: "aarch64;
host version: "0.16.0"; pull-version: 1).
Please report it by email to <[email-masked]>.